Package org.springframework.web.servlet.tags.form

# Class AbstractHtmlInputElementTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.springframework.web.servlet.tags.RequestContextAwareTag
org.springframework.web.servlet.tags.HtmlEscapingAwareTag
org.springframework.web.servlet.tags.form.AbstractFormTag
org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

All Implemented Interfaces:
  `DynamicAttributes`, `IterationTag`, `JspTag`, `Tag`, `TryCatchFinally`, `Serializable`, `EditorAwareTag`

Direct Known Subclasses:
  `AbstractCheckedElementTag`, `InputTag`, `SelectTag`, `TextareaTag`

public abstract class AbstractHtmlInputElementTag extends AbstractHtmlElementTag
Base class for databinding-aware JSP tags that render HTML form input element.

Provides a set of properties corresponding to the set of HTML attributes that are common across form input elements.

Since:
  2.0
Author:
  Rob Harrop, Rick Evans, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESSKEY_ATTRIBUTE`
The name of the '`accesskey`' attribute.
`static final String`
`DISABLED_ATTRIBUTE`
The name of the '`disabled`' attribute.
`static final String`
`ONBLUR_ATTRIBUTE`
The name of the '`onblur`' attribute.
`static final String`
`ONCHANGE_ATTRIBUTE`
The name of the '`onchange`' attribute.
`static final String`
`ONFOCUS_ATTRIBUTE`
The name of the '`onfocus`' attribute.
`static final String`
`READONLY_ATTRIBUTE`
The name of the '`readonly`' attribute.

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`NESTED_PATH_VARIABLE_NAME`

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHtmlInputElementTag()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getAccesskey()`
Get the value of the '`accesskey`' attribute.
`protected String`
`getOnblur()`
Get the value of the '`onblur`' attribute.
`protected String`
`getOnchange()`
Get the value of the '`onchange`' attribute.
`protected String`
`getOnfocus()`
Get the value of the '`onfocus`' attribute.
`protected boolean`
`isDisabled()`
Get the value of the '`disabled`' attribute.
`protected boolean`
`isReadonly()`
Gets the value of the '`readonly`' attribute.
`void`
`setAccesskey(String accesskey)`
Set the value of the '`accesskey`' attribute.
`void`
`setDisabled(boolean disabled)`
Set the value of the '`disabled`' attribute.
`void`
`setOnblur(String onblur)`
Set the value of the '`onblur`' attribute.
`void`
`setOnchange(String onchange)`
Set the value of the '`onchange`' attribute.
`void`
`setOnfocus(String onfocus)`
Set the value of the '`onfocus`' attribute.
`void`
`setReadonly(boolean readonly)`
Sets the value of the '`readonly`' attribute.
`protected void`
`writeOptionalAttributes(TagWriter tagWriter)`
Adds input-specific optional attributes as defined by this base class.

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, isValidDynamicAttribute, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`autogenerateId, convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

`createTagWriter, doStartTagInternal, evaluate, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute, writeTagContent`

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`htmlEscape, isHtmlEscape, isResponseEncodedHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doStartTag, getRequestContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ONFOCUS_ATTRIBUTE

public static final String ONFOCUS_ATTRIBUTE
The name of the '`onfocus`' attribute.

See Also:
  - Constant Field Values

### ONBLUR_ATTRIBUTE

public static final String ONBLUR_ATTRIBUTE
The name of the '`onblur`' attribute.

See Also:
  - Constant Field Values

### ONCHANGE_ATTRIBUTE

public static final String ONCHANGE_ATTRIBUTE
The name of the '`onchange`' attribute.

See Also:
  - Constant Field Values

### ACCESSKEY_ATTRIBUTE

public static final String ACCESSKEY_ATTRIBUTE
The name of the '`accesskey`' attribute.

See Also:
  - Constant Field Values

### DISABLED_ATTRIBUTE

public static final String DISABLED_ATTRIBUTE
The name of the '`disabled`' attribute.

See Also:
  - Constant Field Values

### READONLY_ATTRIBUTE

public static final String READONLY_ATTRIBUTE
The name of the '`readonly`' attribute.

See Also:
  - Constant Field Values

## Constructor Details

### AbstractHtmlInputElementTag

public AbstractHtmlInputElementTag()

## Method Details

### setOnfocus

public void setOnfocus(String onfocus)
Set the value of the '`onfocus`' attribute. May be a runtime expression.

### getOnfocus

@Nullable protected String getOnfocus()
Get the value of the '`onfocus`' attribute.

### setOnblur

public void setOnblur(String onblur)
Set the value of the '`onblur`' attribute. May be a runtime expression.

### getOnblur

@Nullable protected String getOnblur()
Get the value of the '`onblur`' attribute.

### setOnchange

public void setOnchange(String onchange)
Set the value of the '`onchange`' attribute. May be a runtime expression.

### getOnchange

@Nullable protected String getOnchange()
Get the value of the '`onchange`' attribute.

### setAccesskey

public void setAccesskey(String accesskey)
Set the value of the '`accesskey`' attribute. May be a runtime expression.

### getAccesskey

@Nullable protected String getAccesskey()
Get the value of the '`accesskey`' attribute.

### setDisabled

public void setDisabled(boolean disabled)
Set the value of the '`disabled`' attribute.

### isDisabled

protected boolean isDisabled()
Get the value of the '`disabled`' attribute.

### setReadonly

public void setReadonly(boolean readonly)
Sets the value of the '`readonly`' attribute.

### isReadonly

protected boolean isReadonly()
Gets the value of the '`readonly`' attribute.

### writeOptionalAttributes

protected void writeOptionalAttributes(TagWriter tagWriter) throws JspException
Adds input-specific optional attributes as defined by this base class.

Overrides:
  `writeOptionalAttributes` in class `AbstractHtmlElementTag`
Throws:
  `JspException`